Macaulay2 » Documentation
Packages » Graphs :: showTikZ
next | previous | forward | backward | up | index | toc

# showTikZ -- Writes a string of TikZ syntax that can be pasted into a .tex file to display G

- Usage:
    `S = showTikZ(G)`
- Inputs:
  - G, a digraph,
  - S, a string, TikZ syntax used to display G
- Optional inputs:
  - Options (missing documentation) => ..., default value "-t math --prog=dot -f tikz --figonly",

## Description

Writes a string of TikZ syntax that can be pasted into a .tex file to display G

## See also

- displayGraph -- displays a digraph or graph using Graphviz

## Ways to use showTikZ:

- `showTikZ(Digraph)`

## For the programmer

The object showTikZ is a method function with options.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Graphs.m2:2163:0.